gnutls_openpgp_privkey_get_subkey_pk_algorithm(3)

NAME
gnutls_openpgp_privkey_get_subkey_pk_algorithm - API function

SYNOPSIS
#include <gnutls/openpgp.h>

gnutls_pk_algorithm_t gnutls_openpgp_privkey_get_subkey_pk_algorithm(gnutls_openpgp_privkey_t key, unsigned int idx, unsigned int * bits);

ARGUMENTS

gnutls_openpgp_privkey_t             key
    is an OpenPGP key

unsigned int idx
    is the subkey index

unsigned int * bits
    if bits is non null it will hold the size of the parameters' in bits

DESCRIPTION
This function will return the public key algorithm of a subkey of an OpenPGP certificate. If bits is non null, it should have enough size to hold the parameters size in bits. For RSA the bits returned is the modulus. For DSA the bits returned are of the public exponent.

RETURNS
a member of the gnutls_pk_algorithm_t enumeration on success, or a negative error code on error.

SINCE
2.4.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/